ข้ามไปยังเนื้อหา

Florence-2 Large · Region to Segmentation

ผสานการทำงาน

ID โมเดล florence-2-large/region-to-segmentation
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/florence-2-large/region-to-segmentation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "region": {
      "x1": 100,
      "x2": 200,
      "y1": 100,
      "y2": 200
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.009 9 เครดิต API · ≈ ₽0.97 เรียกใช้ในหน้านี้

รับคีย์ API
Microsoft · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น image_url
วางไฟล์ หรือ

URL ที่ชี้ไปยังรูปภาพสำหรับการประมวลผล

•จำเป็น

พิกัดที่ผู้ใช้ระบุ

POST /run/florence-2-large/region-to-segmentation?wait=20 ใบเสนอราคา → $0.009
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/florence-2-large/region-to-segmentation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "region": {
      "x1": 100,
      "x2": 200,
      "y1": 100,
      "y2": 200
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Florence-2 Large · Region to Segmentation

รับรูปภาพและพิกัดใน `region` จากนั้นสร้างการแบ่งส่วนของวัตถุในบริเวณนั้น ส่งคืนรูปภาพที่ประมวลผลแล้วพร้อม `results` แบบมีโครงสร้าง ใช้เพื่อเปลี่ยนพื้นที่กล่องหรือจุดแบบคร่าว ๆ ให้เป็นเส้นขอบของวัตถุ

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
image_urlจำเป็น image
ประเภทurl · image
URL ที่ชี้ไปยังรูปภาพสำหรับการประมวลผล
regionจำเป็น
ประเภทobject
พิกัดที่ผู้ใช้ระบุ
region.x1จำเป็น
ประเภทinteger
0 – 999
พิกัดแนวนอนที่มุมซ้ายบน
region.y1จำเป็น
ประเภทinteger
0 – 999
พิกัดแนวตั้งที่มุมซ้ายบน
region.x2จำเป็น
ประเภทinteger
0 – 999
พิกัดแนวนอนที่มุมขวาล่าง
region.y2จำเป็น
ประเภทinteger
0 – 999
พิกัดแนวตั้งที่มุมขวาล่าง
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "florence-2-large/region-to-segmentation",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 9,
    "usd": "0.009",
    "charged": 9,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "region": {
      "x1": 100,
      "x2": 200,
      "y1": 100,
      "y2": 200
    }
  },
  "output": {
    "results": {
      "polygons": [
        {
          "points": [],
          "label": "string"
        }
      ]
    },
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
results
object {polygons}ผลลัพธ์ที่ส่งคืนโดยโมเดล
image
object {url, content_type, file_name, file_size, width, height}รูปภาพที่ได้จากการประมวลผล

โมเดลเพิ่มเติม: แก้ไขภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/florence-2-large/region-to-segmentation.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt